Bug 870096 (CVE-2012-4536)

Summary: CVE-2012-4536 kernel: xen: PIRQ unmap missing range check causes hypervisor crash
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: drjones, imammedo, lersek, pbonzini, security-response-team, tburke
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121113,reported=20121024,source=upstream,cvss2=5.5/AV:A/AC:L/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-15 10:26:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 876200    
Bug Blocks: 870154    

Description Petr Matousek 2012-10-25 10:35:29 EDT
domain_pirq_to_emuirq() uses the guest provided pirq value before range checking it, and physdev_unmap_pirq uses domain_pirq_to_emuirq without checking the pirq value either.  Invalid pirq values can cause Xen to read out of array bounds, usually resulting in a fatal page fault.

A malicious guest administrator can cause Xen to crash.  If the out of array bounds access does not crash, the arbitrary value read will be ignored due to later error checking, so there is no privilege escalation and no exploitable information leak.


Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Paolo Bonzini 2012-10-25 10:53:34 EDT
In RHEL5, physdev_unmap_pirq calls unmap_domain_pirq which does the range check.
Comment 3 Petr Matousek 2012-10-25 12:18:28 EDT

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-11-13 09:40:50 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 876200]
Comment 5 Vincent Danen 2013-04-15 10:26:22 EDT
Fixed in Fedora via xen-4.1.3-4.fc16 and xen-4.1.3-6.fc17; Fedora 18 and higher were not affected.